# Class Pong

#### Hierarchy

- unknown
  - Pong

- Defined in src/protobuf/pb_pb.d.ts:557
- Defined in src/protobuf/pb_pb.d.ts:569

#####
Index

### Constructors

constructor

### Methods

getRequestNonce
serializeBinary
setRequestNonce
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Pong(): Pong

- #### Returns Pong

  Inherited from jspb.Message.constructor

## Methods

### getRequestNonce

- getRequestNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:558

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:561

### setRequestNonce

- setRequestNonce(value: number): Pong

- #### Parameters

  - ##### value: number

  #### Returns Pong

  - Defined in src/protobuf/pb_pb.d.ts:559

### toObject

- toObject(includeInstance?: boolean): Pong.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Pong.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:562

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Pong

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Pong

  - Defined in src/protobuf/pb_pb.d.ts:565

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Pong, reader: BinaryReader): Pong

- #### Parameters

  - ##### message: Pong

  - ##### reader: BinaryReader

  #### Returns Pong

  - Defined in src/protobuf/pb_pb.d.ts:566

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Pong, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Pong

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:564

### `Static` toObject

- toObject(includeInstance: boolean, msg: Pong): Pong.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Pong

  #### Returns Pong.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:563

Generated using TypeDoc